# 官方文档，部分功能收费，注意使用，支持多平台部署
# 如果想要用的网盘不支持，套AList的webdav挂载
# https://www.clouddrive2.com/help.html
# https://www.clouddrive2.com/features.html
# https://www.clouddrive2.com/docker.html
######################################
# 一键安装 Clouddrive2 脚本
# https://github.com/sublaim/clouddrive2?tab=readme-ov-file
# 国内加速(推荐)
# /bin/bash -c "$(curl -fsSL https://mirror.ghproxy.com/https://raw.githubusercontent.com/sublaim/clouddrive2/dev/cd2.sh)"
# 代理
# /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/sublaim/clouddrive2/dev/cd2.sh)"
######################################

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  clouddrive2:
    image: cloudnas/clouddrive2:latest
    # 镜像地址，该镜像使用的是测试版，如需使用非正式版，镜像改为cloudnas/clouddrive2-unstable:latest
    container_name: clouddrive2
    # 容器名字
    hostname: clouddrive2
    # 主机名
    privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限，必须
    pid: "host"
    devices:
      - /dev/fuse:/dev/fuse
      # Clouddrive 使用 fuse3 来挂载云存储服务，使用fuse3在Docker容器中挂载云存储服务时，需要在主机系统上启用共享挂载
    volumes:
      - /volume1/docker/clouddrive2:/config
      # 配置文件目录，可在变量中进行配置
      - /volume1/CloudNAS:/CloudNAS:shared
      # - 【这里替换为你的数据存放目录】:/【自定义一个名字】:shared
      # 文件目录，多个目录需要分别映射进来，需要满足配置文件说明中的要求，见下例子
      # - /volume1/video:/网盘媒体库:shared
      # :shared是读写-共享的意思
      # CasaOS建议直接使用商店的，注意看商店内的说明
      # 如果遇到无法挂载到本地的问题，请自行上网查找对应的nas的解决办法
    environment:
      - TZ=Asia/Shanghai
      # 时区
      - CLOUDDRIVE_HOME=/config
      # 自定义配置目录
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 19798:19798/tcp
     # WebUI http端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
